Bug 201879 - FutureFeature: add Agere ET131x driver to FC kernel
FutureFeature: add Agere ET131x driver to FC kernel
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 12:31 EDT by Martijn
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:00:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martijn 2006-08-09 12:31:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1b1) Gecko/20060710 Firefox/2.0b1

Description of problem:
Hi. 
I am having quite some difficulties getting the Agere Gigabit ethernet driver (Agere ET131x)
working under Fedora Core. 
The only Linux distribution which I managed to easily compile and use the driver on, is Gentoo Linux 2006.0 x86_64.
The driver is also reported to work under FC however.
Information on the driver can be found on:
http://dadams1969.googlepages.com/et131xkernelmodule
Compiling the driver under Gentoo was easy, just make sure you have the current kernel source + /usr/lib stuff in place, then by unpacking the driver, applying the 3 attached patches, it can be compiled.
Driver and it's patches can be found here:
http://dadams1969.googlepages.com/et131x-1.2.2-3.src.tar.gz

Can this driver be included in the FC kernel in the future, or can you tell me where to request this feature for the vanilla linux kernel?

Best regards,

Martijn

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. n/a
2.
3.

Actual Results:
n/a

Expected Results:
n/a

Additional info:
n/a
Comment 1 Dave Jones 2006-08-10 21:00:01 EDT
This needs a *lot* of work before its ready for inclusion upstream (and
subsequently the Fedora kernel).

Right now, the code looks more like a Windows driver than a Linux driver.
The CodingStyle violations alone are almost so bad, that it'd probably be
quicker to use this as a reference, and start over writing a clean driver.

Additionally, it can't be included as it stands right now anyway, as it's only
licensed as BSD, not dual-license GPL/BSD.

Note You need to log in before you can comment on or make changes to this bug.